#
# spec file for package pari-seadata
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           pari-seadata
Version:        20090618
Release:        lp150.1.3
Group:          Productivity/Scientific/Math
Summary:	Polynomial and Elliptic Curve Data for the PARI CAS
License:        GPL-2.0+
URL:            http://pari.math.u-bordeaux.fr/

Source:         seadata.tar.xz
Source2:	LICENSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:	xz
BuildArch:	noarch
Conflicts:	libpari-gmp < 2.4.3

%description
This package is needed by the "ellap" function of the PARI CAS for
large primes. The second one is a much smaller version that should be
suitable for primes up to 350 bits. These polynomials were extracted
from the ECHIDNA databases and computed by David R. Kohel.

%prep
%setup -Tcq
cp "%{S:2}" .;

%build

%install
b="%buildroot";
c="$b/%_datadir/pari";
mkdir -p "$c";
pushd "$c";
tar -xf "%{S:0}";
popd;

%files
%defattr(-,root,root)
%_datadir/pari
%doc LICENSE

%changelog
* Mon Sep 26 2011 jengelh@medozas.de
- Initial package (version 20090618) for build.opensuse.org
